.layout {
	height: 100%;
}

.login-layout {
	background-color: #EDEDED;/*#333333;*/
	padding: 0;
	overflow: auto;
}

.fill-layout{
	width: 100%;
	height: 100%;
	padding: 0;
}

.no-padding-margin{
	padding: 0 !important;
	margin: 0 !important;
}

.base-layout {
	background-color: #EDEDED;/*#333333;*/
	padding: 0;
}

* {
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	text-rendering: optimizeLegibility;
}

html {
	overflow: hidden !important;
	height: 100%;
}

.login-form > * {
	flex: 0 !important;
}

body {
	max-height: 100%;
	height: 100%;
}

#q-app {
	max-height: 100%;
	height: 100%;
}

.v-input.theme--dark input:-webkit-autofill,
.v-input.theme--dark input:-webkit-autofill,
.v-input.theme--dark input:-webkit-autofill:hover, 
.v-input.theme--dark input:-webkit-autofill:focus, 
.v-input.theme--dark input:-webkit-autofill:active  {
	-webkit-box-shadow: 0 0 0 30px #424242 inset !important;
	-webkit-text-fill-color: #fff !important;
}

.vue-grid-item.vue-resizable{
	border: 1px dashed rgba(100,100,100, 0.5);
}

.row{
	margin-left: 0 !important;
	margin-right: 0 !important;
}

@-moz-document url-prefix() {
	.gg-logo {
		display: block;
	}
}

.v-application--is-ltr .v-data-footer__pagination{
	/* margin: 0 14px 0 14px !important; */
	margin: 0 !important;
}

.v-application--is-ltr .v-data-footer__select .v-select {
    margin: 8px 0 8px 14px !important;
}

.text2lines{
	max-height: 36.75px;
    /* line-height: 2em; */
	overflow: hidden;
	text-overflow: ellipsis;
}

.text1lines{
	height: 18.375px;
    /* line-height: 2em; */
	overflow: hidden;
	text-overflow: ellipsis;
}

.textnowrap{
	white-space: nowrap;
}

.header-nowrap th.text-start{
	white-space: nowrap;
}

.v-autoform{
	width: 100%;
}

.v-autoform > div{
	padding-left: 0 !important;
	padding-right: 0 !important;
}

.v-autoform > div > *{
	/* max-width: 300px !important; */
}

.v-autoform .v-autoform-break{
	flex-basis: 100%;
}

.v-autoform .v-autoform-50{
	flex-basis: 49% !important;
	width: 49% !important;
	display: inline-block !important;
}

/* .v-autoform .v-autoform-50 > *{
	max-width: 50% !important;
}
 */
.v-autoform .v-autoform-50 > * > *{
	max-width: 100% !important;
}

.v-autoform .v-autoform-max-300{
	flex-basis: 49% !important;
	width: 49% !important;
	max-width: 300px;
	display: inline-block !important;
}

.v-autoform .v-autoform-padding-right{
	padding-right: 16px !important;
}

.v-autoform .v-autoform-100{
	flex-basis: 99% !important;
	width: 99% !important;
	display: inline-block !important;
}

.v-autoform .v-autoform-100 > *, .v-autoform .v-autoform-100 > * > *{
	max-width: 100% !important;
}

.v-autoform .v-autoform-auto{
	flex-basis: 49% !important;
	width: auto !important;
	display: inline-block !important;
}

.v-autoform .v-autoform-zero{
	flex-basis: 0;
    width: auto!important;
    display: inline-block!important;
    white-space: nowrap;
}

.v-autoform .v-autoform-spacer{
	flex: 1;
	display: inline-block !important;
}


.v-btn--inactive:before{
	opacity: 0 !important;
}

.v-btn--inactive:hover:before{
	opacity: .1 !important;
}

.markdown{
	padding: 0 !important;
	font-size: .875rem !important;
}

/* .markdown *{
	font-size: .875rem !important;
} */

.markdown > p:last-child{
	margin-bottom: 0 !important;
}

.none{
	background: rgba(0, 0, 0, 0) !important;
}

.none::before{
	background: rgba(0, 0, 0, 0) !important;
}

.elevation--1{
	box-shadow: 0 1px 6px rgba(32, 33, 36, 0.28) !important;
    border-radius: 8px !important;
    border-bottom: 1px hidden #fff !important;
}

.v-autocomplete__content > .v-select-list{
	overflow: auto !important;
}

span.highlight, a.highlight{
	padding: 0 .4rem;
}

.v-skeleton-loader.highlight > .v-skeleton-loader__bone {
    background: inherit;
}

.highlight{
	box-shadow: none!important;
    color: #c0341d !important;
	background-color: #fbe5e1 !important;
	border-radius: 3px;
	font-weight: bolder !important;
	font-family: monospace,monospace;
}

.highlight.dark{
	background: #616161 !important;
    color: #fff !important;
}

.highlight.green{
	background: #E8F5E9 !important;
    color: #43A047 !important;
}

.highlight.blue{
	background: #E3F2FD !important;
    color: #1E88E5 !important;
}

.highlight.grey{
	background: #FAFAFA !important;
    color: #757575 !important;
}

.v-application code:not([class*="language-"]){
	box-shadow: none!important;
    color: #c0341d!important;
	background-color: #fbe5e1!important;
	border-radius: 3px;
	font-size: 100% !important;
	font-weight: bolder !important;
	font-family: monospace,monospace !important;
	padding: 0 .4rem;
}

.v-application code{
	font-size: 100% !important;
}

a[href*="//"]:after {
	content: '\F0327';
    margin: 0;
    font: normal normal normal 24px/1 "Material Design Icons";
	font-size: 8px;
	display: inline-block;
    vertical-align: top;
    width: .5rem;
    height: .5rem;
    margin: .125rem 0 0 .125rem;
    background-size: .5rem .5rem;
    pointer-events: none;
}

/* movable dialogs */
.v-dialog.v-dialog--active .popup-header {
    cursor: grab;
}

.v-dialog.v-dialog--active .popup-header:active {
	cursor: grabbing;
}

.default-table{
	border: 0 !important;
	border-collapse: collapse; width: 100%
}
.default-table th, .default-table td{
	padding: 2px;
	border: 1px solid #CCCCCC;
}
.default-table th{
	border-top: 0px !important;
	background-color: #ECECEF;
}
.default-table th:first-child, .default-table td:first-child{
	border-left: 0 !important;
}
.default-table th:last-child, .default-table td:last-child{
	border-right: 0 !important;
}

th[role="columnheader"] {
    white-space: nowrap !important;
}

.v-data-table__expanded__content > td {
	height: auto;
}

.v-data-table__expanded__content > td, .v-action-dialog-expand{
	background: rgba(0,0,0,.12) !important;
	padding: 8px !important;
}

.row{
	margin: unset !important;
}

.v-input--is-readonly{
	background: rgba(0,0,0,0.1);
}

.row-class-active{
	background: rgba(0, 100, 255, 0.1) !important
}

.v-text-field.v-text-field--enclosed .v-text-field__details{
	margin-bottom: 0;
}